<!DOCTYPE html>
<html>
    <script>
        function editProfile() {
            document.querySelector(".container").style.display = "none";
            document.querySelector(".container-edit").style.display = "block";

            const name = document.querySelector("#name").textContent;
            document.querySelector("#input-name").value = name;

            const email = document.querySelector("#email").textContent;
            document.querySelector("#input-email").value = email;

            const interests = document.querySelector("#interests").textContent;
            document.querySelector("#input-interests").value = interests;
        }
        function saveProfile() {
            document.querySelector("#name").textContent = document.querySelector("#input-name").value;
            document.querySelector("#email").textContent = document.querySelector("#input-email").value;
            document.querySelector("#interests").textContent = document.querySelector("#input-interests").value;

            document.querySelector(".container").style.display = "block";
            document.querySelector(".container-edit").style.display = "none";
        }
    </script>
    <body>
        <div class="container">
            <h1 id="header">User Profile</h1>
            <img
                src="https://static.remove.bg/remove-bg-web/2a274ebbb5879d870a69caae33d94388a88e0e35/assets/start-0e837dcc57769db2306d8d659f53555feb500b3c5d456879b9c843d1872e7baa.jpg"
                alt=""
            />
            <br />
            Name:
            <h3 id="name">Anna Smith</h3>
            <hr />
            Email:
            <h3 id="email">anna.smith@gmail.com</h3>
            <hr />
            Interests:
            <h3 id="interests">Coding</h3>
            <hr />
            <button class="button" onclick="editProfile()">Edit Profile</button>
        </div>
        <div class="container-edit" style="display: none">
            <h1 id="header">User Profile</h1>
            <img
                src="https://static.remove.bg/remove-bg-web/2a274ebbb5879d870a69caae33d94388a88e0e35/assets/start-0e837dcc57769db2306d8d659f53555feb500b3c5d456879b9c843d1872e7baa.jpg"
                alt=""
            />
            <br />
            Name:
            <input id="input-name" type="text" />
            <hr />
            Email:
            <input type="email" id="input-email" />
            <hr />
            Interests:
            <input id="input-interests" type="text" />
            <hr />
            <button class="button" onclick="saveProfile()">Save Profile</button>
        </div>
    </body>
</html>
